var resources = new Array();
var resources_locale = "en_US";

resources["LABEL.YESTERDAY"] = "Yesterday";
resources["LABEL.GALLERY"] = "Gallery";
resources["INFO.BACK_TO_LOGIN"] = "Back to login screen";
resources["LABEL.GRID_FREEZE_COLUMN"] = "Freeze Column";
resources["LABEL.LINE"] = "Line";
resources["INFO.INCLUDE_MODE_EXIT"] = "You have to exit from the include mode!";
resources["ERROR.RULE_EXECUTION_FAILED"] = "Error on rule \"{0}\" execution.";
resources["LABEL.REMOVE_ALL"] = "Remove all";
resources["LABEL.CHAT_OFFLINE"] = "Offline";
resources["LABEL.GALLERY_DELETE_CONFIRM"] = "Are you sure you want to delete this image?";
resources["LABEL.SORT_DESCENDING"] = "Sort Descending";
resources["INFO.GRID_REMOVE_GRID_ORDER"] = "This option will remove all grid order. Do you confirm the removal?";
resources["ERROR.GRID_NO_ROW_SELECTED"] = "This operation could not be performed. Check if there is a selected line or if the informed line exists.";
resources["LABEL.DETAILS"] = "Details";
resources["INFO.SEARCH_EMPTY"] = "At least one query field must be filled!";
resources["LABEL.PAGE_DIMENSIONS"] = "Page Dimensions";
resources["INFO.MANIPULATE_GRID_FIELDS"] = "Manipulate grid fields";
resources["INFO.GRID_ADVANCED_FILTER_RESET"] = "Reset filters";
resources["LABEL.CHAT_ORDER_NEWER_TO_OLDER"] = "Newer to Older";
resources["LABEL.GALLERY_EMPTY"] = "The gallery is empty. Right click here to upload a picture.";
resources["LABEL.CALENDAR_DATE_END"] = "End Date";
resources["LABEL.EQUAL"] = "Equal";
resources["LABEL.UPLOAD"] = "Upload";
resources["LABEL.EDIT"] = "Edit";
resources["LABEL.CHAT_ORDER"] = "Messages Order";
resources["ERROR.REQUIRED_FIELD"] = "The field \"{0}\" is required.";
resources["LABEL.CHAT_SEARCH_NO_RESULTS"] = "No results found";
resources["LABEL.ADD_ITEM"] = "Add item";
resources["LABEL.OPEN_FORM"] = "Open Form";
resources["INFO.WARNING_TITLE"] = "Your browser is out of date!";
resources["LABEL.CODE"] = "Code";
resources["LABEL.OK"] = "Ok";
resources["LABEL.SENDING"] = "Sending";
resources["LABEL.LOG_LABEL"] = "Log";
resources["LABEL.STYLE"] = "Style";
resources["INFO.CONNECTION_RETRY"] = "Trying to connect again";
resources["LABEL.SIMPLE"] = "Simple";
resources["INFO.GRID_ALREADY_CONTAINS_COLUMN"] = "The \"{0}\" column already exists on grid \"{1}\".";
resources["LABEL.NO"] = "No";
resources["LABEL.CHAT_LAST_SEEN_TIME"] = "Last seen at";
resources["LABEL.GRID_GROUP_BY_COLUMN"] = "Group";
resources["LABEL.ALTERATION"] = "Modification";
resources["LABEL.CALENDAR_ENTIRE_DAY"] = "(the whole day)";
resources["LABEL.HELP"] = "Help";
resources["ERROR.GET_XML_DATA_FAILED"] = "Failed to get data.";
resources["LABEL.DARK"] = "Dark";
resources["LABEL.NAME"] = "Name";
resources["LABEL.ENDING_WITH"] = "Ending with";
resources["INFO.GRID_ADVANCED_FILTER_APPLY"] = "Apply filters";
resources["LABEL.EDIT_PERMISSIONS"] = "Edit Permissions";
resources["INFO.DEFAULT_SHORTCUT_RENAME"] = "It is not possible to rename default system shortcuts.";
resources["LABEL.DEFAULT_VALUES"] = "Default values";
resources["LABEL.CHAT_SEARCH"] = "Type here to search";
resources["LABEL.CALENDAR_DATE_START"] = "Start Date";
resources["LABEL.CHAT_ORDER_OLDER_TO_NEWER"] = "Older to Newer";
resources["INFO.GRID_FILTER_ACTIVE"] = "Active filter";
resources["INFO.GRID_EDIT_FINALIZE"] = "You need to finish the grid edition!";
resources["LABEL.CALENDAR_ADD_EVENT"] = "Add Event";
resources["LABEL.REFRESH"] = "Refresh";
resources["LABEL.GALLERY_UPLOAD"] = "Upload Image...";
resources["LABEL.ERROR"] = "Error";
resources["LABEL.MESSAGE"] = "Message";
resources["INFO.SHORTCUT_ITEM_NEW_NAME"] = "Type the new item name:";
resources["ERROR.IMCOMPATIBLE_TYPE"] = "Incompatible type!";
resources["LABEL.CALENDAR_DELETE_EVENT"] = "Delete Event";
resources["LABEL.SAVE_RECORD"] = "Save record";
resources["INFO.MEMO_MAXIMUM_CHARACTERS"] = "The \"{0}\" field cannot exceed {1} characters.";
resources["LABEL.SYSTEM_CHECK"] = "System Check";
resources["ERROR.INVALID_CPF_FIELD"] = "The field \"{0}\" must contain a valid CPF!";
resources["LABEL.FIRST_PAGE"] = "First Page";
resources["ERROR.INEXISTENT_ELEMENT_KEY"] = "The element key \"{0}\" does not exist.";
resources["ERROR.COMPONENT_FIELD_NOT_FOUND"] = "Component \"{0}\" not found!";
resources["ERROR.FORM_WITHOUT_DATA"] = "The form does not contain any data.";
resources["LABEL.CHAT_EXPORT_CONVERSATION"] = "Export Conversation";
resources["LABEL.ROTATE_PAGE"] = "Rotate Page";
resources["LABEL.SORT_ASCENDING"] = "Sort Ascending";
resources["LABEL.CONTAINING"] = "Containing";
resources["ERROR.CLOSED_PROGRESS_BAR"] = "Progress bar is not opened!";
resources["INFO.REMOVE_CONFIRM"] = "Do you confirm the removal?";
resources["LABEL.COMPONENT"] = "Component";
resources["LABEL.CALENDAR_EVENT"] = "Event";
resources["LABEL.REMOVE_ITEM"] = "Remove item";
resources["LABEL.DELETE"] = "Delete";
resources["LABEL.CHAT_BUSY"] = "Busy";
resources["LABEL.ACTIONS"] = "Actions";
resources["LABEL.CALENDAR_EDIT_EVENT"] = "Edit Event";
resources["ERROR.INVALID_FIELD_DATE_FORMAT"] = "The field \"{0}\" must contain a valid date!";
resources["LABEL.EXPORT"] = "Export";
resources["ERROR.CONNECTION_FAIL"] = "Failed to connect to the server!";
resources["INFO.CANNOT_INSERT_FORM"] = "You can not enter data in this form!";
resources["INFO.FORM_EDIT"] = "Edit form";
resources["LABEL.RECORD_EDIT"] = "Edit record";
resources["LABEL.LAST_PAGE"] = "Last Page";
resources["INFO.CONFIRM_RELOAD_SYSTEM"] = "Do you confirm to reload the system?";
resources["ERROR.NOT_A_MONTH_VALUE"] = "An invalid month was chosen.";
resources["ERROR.NOT_A_DAY_VALUE"] = "An invalid day was chosen.";
resources["INFO.UPDATE_WANT"] = "You want to update:";
resources["INFO.SHORTCUT_REMOVE_CONFIRM"] = "Do you confirm to remove the \"{0}\" shortcut?";
resources["INFO.UPDATE_CURRENT_RECORD"] = "Only the current record";
resources["LABEL.FUNCTION_NAME"] = "Function name";
resources["LABEL.COLUMNS"] = "Columns";
resources["LABEL.STARTING_WITH"] = "Beginning with";
resources["INFO.GRID_EMPTY_DATA"] = "No data to display.";
resources["LABEL.SEARCH"] = "Search";
resources["LABEL.IMAGE"] = "Image";
resources["ERROR.INVALID_CNPJ_FIELD"] = "The field \"{0}\" must contain a valid CNPJ!";
resources["INFO.WARNING_MESSAGE"] = "You are using an old version of <strong>\"{0}\"</strong>. For a better experience, please";
resources["ERROR.TREEVIEW_NULL_PARENT"] = "Could not add child to tree because parent element could not be found!";
resources["LABEL.CHAT_LAST_SEEN_DATE"] = "Last seen on";
resources["LABEL.NEXT_RECORD"] = "Next record";
resources["LABEL.EXIT"] = "Exit";
resources["LABEL.FIRST_RECORD"] = "First Record";
resources["INFO.FIELD_ALREADY_CHOSEN"] = "Field has been already chosen";
resources["INFO.GRID_HIDE_COLUMN"] = "This function is not enabled in project mode.";
resources["LABEL.GRID_UNGROUP_ALL_COLUMNS"] = "Ungroup all";
resources["INFO.GRID_COUNT_RECORDS"] = "Record(s).";
resources["LABEL.ADD_ALL"] = "Add all";
resources["LABEL.CANCEL"] = "Cancel";
resources["LABEL.GRID_UNGROUP_COLUMN"] = "Ungroup";
resources["LABEL.FORM"] = "Form";
resources["LABEL.GRID_UNFREEZE_COLUMN"] = "Unfreeze Column";
resources["LABEL.LAST_RECORD"] = "Last Record";
resources["LABEL.WAIT"] = "Wait";
resources["LABEL.GRID_OPEN_CONFIGURE_GROUP"] = "Configure grouping";
resources["LABEL.REMOVE_RECORD"] = "Remove record";
resources["LABEL.SENT"] = "Sent";
resources["INFO.UPDATE_ALL_FORM"] = "The form";
resources["LABEL.PREVIOUS_RECORD"] = "Previous record";
resources["LABEL.SEND"] = "Send";
resources["ERROR.INVALID_FIELD_CONTENT"] = "Invalid content ({0}).";
resources["ERROR.INVALID_FIELD_HOUR_FORMAT"] = "The field \"{0}\" must contain a valid hour!";
resources["INFO.CHAT_ENABLE_NOTIFICATIONS"] = "Enable desktop notifications";
resources["LABEL.CALENDAR_UPDATE"] = "Refresh Calendar";
resources["INFO.CHAT_NOTIFICATIONS_NOTICE"] = "Receive notifications of new messages";
resources["INFO.GRID_ADVANCED_FILTER"] = "Advanced filter";
resources["LABEL.TYPE"] = "Type";
resources["INFO.FORM_PERMISSION_CONFIG"] = "Do you wish to configure permission from";
resources["INFO.GRID_ADVANCED_FILTER_CLEAR"] = "Clear filters";
resources["INFO.GRID_RECORD_SELECT"] = "You need to select a record in the grid before!";
resources["LABEL.CALENDAR_VIEW_EVENTS"] = "View Events";
resources["INFO.DEFAULT_SHORTCUT_REMOVE"] = "It is not possible to remove default system shortcuts.";
resources["LABEL.ZOOM_IMAGE"] = "Zoom image";
resources["LABEL.GALLERY_DELETE"] = "Delete Image";
resources["LABEL.DESCRIPTION"] = "Description";
resources["ERROR.INCORRECT_FORMAT_VALUE"] = "The value \"{0}\" must have the format \"{1}\".";
resources["INFO.KEY_ELEMENT_DOES_NOT_EXIST"] = "The element which key \"{0}\" does not exist.";
resources["LABEL.GRID_EXPORT_DATA"] = "Export Data";
resources["LABEL.ALL"] = "All";
resources["LABEL.GALLERY_VIEW"] = "View Image";
resources["ERROR.BLOCKED_POPUP"] = "Could not open popup, make sure your browser is blocking.";
resources["LABEL.CALENDAR_DATE"] = "Date";
resources["LABEL.INCLUDE"] = "New";
resources["INFO.GRID_COLUMN_NOT_FOUND"] = "The \"{0}\" column was not found on grid \"{1}\".";
resources["INFO.EDIT_MODE_EXIT"] = "You have to exit from the edit mode!";
resources["ERROR.GRID_EXPORT_DATA_FAILED"] = "Failed to exporting data.";
resources["LABEL.GALLERY_DELETE_ERROR"] = "There was an error deleting the image!";
resources["LABEL.NEXT_PAGE"] = "Next Page";
resources["LABEL.CLOSE"] = "Close";
resources["LABEL.CHAT_AUSENT"] = "Ausent";
resources["LABEL.BACK_DEFAULT"] = "Back to default";
resources["INFO.SEARCH_TAB_EXIT"] = "You should quit from Search tab!";
resources["ERROR.CONSTRUCTOR_INVALID_MASK"] = "An invalid mask was defined by the constructor.";
resources["LABEL.INCLUSION"] = "Inclusion";
resources["INFO.WARNING_MESSAGE_UPDATE"] = "update your browser.";
resources["ERROR.FLOATING_FORM_FROM_WINDOW"] = "You can\'t open a form from a floating window.";
resources["LABEL.PRINT"] = "Print";
resources["LABEL.YES"] = "Yes";
resources["LABEL.CHAT_SEND_TO_EVERYONE"] = "Send Message to Everyone";
resources["INFO.SHORTCUT_CREATE_FORBIDDEN"] = "It is not possible to create shortcuts from this menu item.";
resources["LABEL.GALLERY_DOWNLOAD"] = "Download Image";
resources["LABEL.DIGITAL_PRINTING"] = "Digital Printing";
resources["INFO.CHAT_AUTHENTICATION_ERROR"] = "Could not get authentication to use this instance of chat";
resources["LABEL.CHAT_ONLINE"] = "Online";
resources["LABEL.TODAY"] = "Today";
resources["LABEL.GALLERY_UPDATE"] = "Refresh List";
resources["LABEL.WEBCAM"] = "Webcam";
resources["ERROR.REQUIRED_BLANK_FIELD"] = "There are fields not filled!";
resources["LABEL.ADD"] = "Add";
resources["LABEL.ACTIVE_FILTER"] = "Active filter";
resources["LABEL.COMPONENT_FORM_ASSOCIATION"] = "Form associated to component";
resources["ERROR.NOT_A_NUMBER_VALUE"] = "The chosen value is not a number.";
resources["ERROR.FIELD_NOT_A_NUMBER"] = "Invalid ({0}) content to field \"{1}\".";
resources["LABEL.CALENDAR"] = "Calendar";
resources["LABEL.PREVIOUS_PAGE"] = "Previous Page";
resources["LABEL.LOADING"] = "Loading";
resources["ERROR.OPERATION_ERROR"] = "An error occurred while performing this operation!";

function getMessage(key) {
  return (key == null || key == "") ? "Undefined Resource Key" : resources[key];
}

function getLocaleMessage(key) {
  var message = getMessage(key);

  if (message == null || typeof message == "undefined") {
  	message = "[" + resources_locale + "][" + key + "]";
  } else if (arguments.length > 1) {
    for (var i = 1; i < arguments.length; i++) {
      var param = arguments[i];
      if (param != null && typeof param != "undefined") {
        var regexp = new RegExp("\\{" + (i-1) + "\\}", "g");
        message = message.replace(regexp, param);
      }
    }
  }

  return message;
}